Package gui.widget

# Class SudokuRenderer

java.lang.Object
gui.widget.SudokuRenderer

public class SudokuRenderer extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ConsumerSignal<Cell>`
  `onCellChange`
  `final Signal`
  `onResolve`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SudokuRenderer(MultiDoku doku)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `render()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### onResolve

    public final Signal onResolve

  - ### onCellChange

    public final ConsumerSignal<Cell> onCellChange

- ## Constructor Details

  - ### SudokuRenderer

    public SudokuRenderer(MultiDoku doku)

- ## Method Details

  - ### render

    public void render()